Skip to main content
GET
/
virtual_accounts
/
{virtual_account_id}
Retrieve a virtual account
curl --request GET \
  --url https://api.withacclaim.com/v1/virtual_accounts/{virtual_account_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "va_2mQh9T4XyZ",
  "deposit_to_id": "tac_b0TrsSg91h",
  "country": "US",
  "currency": "USD",
  "bank_name": "Acme Bank N.A.",
  "status": "Active",
  "created_at": "2025-10-08T18:20:31Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

virtual_account_id
string
required

ID of the virtual account.

Response

The virtual account.

id
string
Example:

"va_2mQh9T4XyZ"

deposit_to_id
string

ID of the treasury account that receives deposits to this virtual account

Example:

"tac_b0TrsSg91h"

country
string | null

ISO 3166-1 alpha-2 country code

Example:

"US"

currency
string

ISO 4217 currency code

Example:

"USD"

bank_name
string | null
Example:

"Acme Bank N.A."

status
enum<string>
Available options:
Active,
Inactive,
Pending
created_at
string<date-time>
Example:

"2025-10-08T18:20:31Z"

Last modified on April 16, 2026